Subject: Re: netfront for review

From: Gerd Hoffmann <[email-masked]>
Date: Thu, 03 May 2007 17:38:31 +0200

Christoph Hellwig wrote:
> On Thu, May 03, 2007 at 09:33:43AM +0200, Gerd Hoffmann wrote:
>>> Guess so.  It defaults to flip.  I simplified the rx_copy/flip module
>>> parameter to a simple rx_mode=0/1, but this is preserved from the
>>> original.  My guess is that originally there was only flip, and copy was
>>> added later.
>> Yep, page flipping is the old (pre xen 3.0.3) way, copy was added (and 
>> made the default) later.
> 
> So can we please just rip out the obsolete code completely?  There's
> no point adding this code anymore.

Drawback is that the guest kernel wouldn't work with older xen versions 
(dom0 netback driver to be exact) any more.  Probably wouldn't be a 
showstopper though, given that xen 3.0.3 probably is almost one year out 
by the time 2.6.22 will be released ...